DOM::CharacterData Class Reference

`#include <dom_text.h>`

Inheritance diagram for DOM::CharacterData:

## Public Member Functions

| CharacterData (const CharacterData &other)
| CharacterData (const Node &other)
CharacterData & | operator= (const Node &other)
CharacterData & | operator= (const CharacterData &other)
DOMString | data () const
void | setData (const DOMString &)
unsigned long | length () const
DOMString | substringData (const unsigned long offset, const unsigned long count)
void | appendData (const DOMString &arg)
void | insertData (const unsigned long offset, const DOMString &arg)
void | deleteData (const unsigned long offset, const unsigned long count)
void | replaceData (const unsigned long offset, const unsigned long count, const DOMString &arg)
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| CharacterData (CharacterDataImpl *i)

## Friends

class | CharacterDataImpl

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The `CharacterData` interface extends Node with a set of attributes and methods for accessing character data in the DOM.

For clarity this set is defined here rather than on each object that uses these attributes and methods. No DOM objects correspond directly to `CharacterData` , though `Text` and others do inherit the interface from it. All `offset`s in this interface start from 0.

Definition at line 49 of file dom_text.h.

## Member Function Documentation

void CharacterData::appendData | ( | const DOMString & | arg | ) |

Append the string to the end of the character data of the node.

Upon success, `data` provides access to the concatenation of `data` and the `DOMString` specified.

Parameters

  arg | The `DOMString` to append.

Returns

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 101 of file dom_text.cpp.

DOMString CharacterData::data | ( |  | ) | const

The character data of the node that implements this interface.

The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a `CharacterData` node. However, implementation limits may mean that the entirety of a node's data may not fit into a single `DOMString` . In such cases, the user may call `substringData` to retrieve the data in appropriately sized pieces.

Exceptions

  DOMException | DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

Definition at line 64 of file dom_text.cpp.

void CharacterData::deleteData | ( | const unsigned long | offset,
|  | const unsigned long | count
| ) |  |

Remove a range of characters from the node.

Upon success, `data` and `length` reflect the change.

Parameters

  offset | The offset from which to remove characters.
  count | The number of characters to delete. If the sum of `offset` and `count` exceeds `length` then all characters from `offset` to the end of the data are deleted.

Returns

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 123 of file dom_text.cpp.

void CharacterData::insertData | ( | const unsigned long | offset,
|  | const DOMString & | arg
| ) |  |

Insert a string at the specified character offset.

Parameters

  offset | The character offset at which to insert.
  arg | The `DOMString` to insert.

Returns

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` .

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 112 of file dom_text.cpp.

unsigned long CharacterData::length | ( |  | ) | const

The number of characters that are available through `data` and the `substringData` method below.

This may have the value zero, i.e., `CharacterData` nodes may be empty.

Definition at line 82 of file dom_text.cpp.

void CharacterData::replaceData | ( | const unsigned long | offset,
|  | const unsigned long | count,
|  | const DOMString & | arg
| ) |  |

Replace the characters starting at the specified character offset with the specified string.

Parameters

  offset | The offset from which to start replacing.
  count | The number of characters to replace. If the sum of `offset` and `count` exceeds `length` , then all characters to the end of the data are replaced (i.e., the effect is the same as a `remove` method call with the same range, followed by an `append` method invocation).
  arg | The `DOMString` with which the range must be replaced.

Returns

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 134 of file dom_text.cpp.

void CharacterData::setData | ( | const DOMString & | str | ) |

see data

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Definition at line 70 of file dom_text.cpp.

DOMString CharacterData::substringData | ( | const unsigned long | offset,
|  | const unsigned long | count
| ) |  |

Extracts a range of data from the node.

Parameters

  offset | Start offset of substring to extract.
  count | The number of characters to extract.

Returns
  The specified substring. If the sum of `offset` and `count` exceeds the `length` , then all characters to the end of the data are returned.

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString` .

Definition at line 89 of file dom_text.cpp.

The documentation for this class was generated from the following files:

- dom_text.h
- dom_text.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys